## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-firestore
%global         forgeurl    https://github.com/googleapis/python-firestore
Version:        2.3.4
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Firestore API

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource
# Use unittest.mock instead of PyPI backport package mock
# https://github.com/googleapis/python-firestore/issues/445
Patch0:         python-google-cloud-firestore-mock.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(aiounittest)
BuildRequires:  python3dist(google-cloud-testutils)
BuildRequires:  python3dist(pytest)
%endif

%global _description %{expand:
The Google Cloud Firestore API is a flexible, scalable database for mobile,
web, and server development from Firebase and Google Cloud Platform.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unnecessary script.
rm -f %{buildroot}%{_bindir}/fixup*.py


%if %{with tests}
%check
# Work around an usual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings --ignore tests/unit/v1/test_bulk_writer.py tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc *.rst *.md samples
%{python3_sitelib}/google_cloud_firestore-%{version}-py%{python3_version}-nspkg.pth


%changelog
* mer. oct. 27 2021 Major Hayden <major@mhtx.net> 2.3.4-3
- Update unittest.mock patch

* mer. oct. 27 2021 Major Hayden <major@mhtx.net> 2.3.4-2
- Remove docs BuildRequires

* mer. oct. 27 2021 Major Hayden <major@mhtx.net> 2.3.4-1
- Update to 2.3.4

* ven. sept. 17 2021 Major Hayden <major@mhtx.net> 2.3.1-3
- Add rpm-autospec

* ven. sept. 17 2021 Major Hayden <major@mhtx.net> 2.3.1-2
- Fix tests with PEP 420 workaround

* lun. sept. 13 2021 Major Hayden <major@mhtx.net> 2.3.1-1
- Initial import (#1999312)
